/*
 * Created by CHEUNG Siu Kei
 */
/* General */
* {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

body {
  font-family: sans-serif;
  background: url("./img/space.png") repeat-y;
}

#future-video {
  height: 100%;
  width: 100%;
  z-index: -1;
  position: absolute;
  top: 0;
  left: 0;
  -o-object-fit: fill;
     object-fit: fill;
}

.container {
  margin: 2em 15%;
  margin-top: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  grid-area: content;
}

.container * {
  margin-top: 25px;
  margin-bottom: 25px;
}

.wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  grid-area: content;
}

.bx-wrapper {
  width: 100%;
  margin: 2em 15%;
}
@media (min-width: 0px) and (max-width: 767px) {
  .bx-wrapper {
    margin: 1em auto;
  }
}
@media (min-width: 768px) {
  .bx-wrapper {
    margin: 2em auto;
  }
}

.img-responsive {
  max-width: 100%;
  height: auto;
  display: block;
}

/* Grids */
.future-global-grid {
  display: grid;
  grid-template-columns: 30% repeat(4, 1fr);
  grid-template-rows: repeat(2, 1fr) 20%;
  grid-template-areas: "nav content content content content" "nav content content content content" "footer footer footer footer footer";
}
@media (min-width: 0px) and (max-width: 767px) {
  .future-global-grid {
    grid-template-columns: 1fr;
    grid-template-rows: 20% 1fr 20%;
    grid-template-areas: "nav" "content" "footer";
  }
}

/* Fonts */
h1,
h2,
h3,
h4,
h5,
h6,
p {
  color: white;
}

h1,
h2,
h3,
h4,
h5,
h6,
nav li,
nav #nav-mobile,
footer li,
footer #copyright {
  font-family: 'VT323', monospace;
}

h1 {
  font-size: 2.5rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.75rem;
}

h4 {
  font-size: 1.5rem;
}

h5 {
  font-size: 1.25rem;
}

h6 {
  font-size: 1rem;
}

nav li,
nav #nav-mobile,
footer li,
footer #copyright {
  font-size: 1.5rem;
}

.container ul li {
  color: #fff;
}

/* Navbar */
nav {
  margin: 2em;
  grid-area: nav;
}
@media (min-width: 0px) and (max-width: 560px) {
  nav {
    margin: 1em;
  }
}

.css-present-logo {
  display: none;
}

.css-future-logo img {
  height: 60%;
  width: 60%;
}
@media (min-width: 0px) and (max-width: 767px) {
  .css-future-logo img {
    height: 30%;
    width: 30%;
  }
}

.nav-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: space-evenly;
      -ms-flex-pack: space-evenly;
          justify-content: space-evenly;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

nav li {
  margin-top: 1.75em;
  margin-bottom: 1.75em;
}

nav li a {
  display: block;
  text-decoration: none;
  text-align: center;
  text-transform: uppercase;
  font-weight: bold;
  color: #000;
  padding: 0.75em;
  border: 1px solid #65737e;
  border-radius: 5px;
  background-color: #65737e;
  width: 75%;
  -webkit-transition: all 0.4s ease;
  transition: all 0.4s ease;
}
@media (min-width: 0px) and (max-width: 767px) {
  nav li a {
    font-size: 1em;
    width: 100%;
  }
}
nav li a.active {
  background-color: #c0c5ce;
}
nav li a:hover {
  background-color: #c0c5ce;
}

#nav-mobile {
  display: none;
  color: white;
  text-decoration: none;
}
@media (min-width: 0px) and (max-width: 480px) {
  #nav-mobile {
    display: block;
    font-size: 0.8em;
  }
}
@media (min-width: 481px) and (max-width: 767px) {
  #nav-mobile {
    display: block;
    font-size: 1em;
  }
}

nav ul {
  list-style: none;
}
@media (min-width: 0px) and (max-width: 767px) {
  nav ul {
    display: none;
    background-color: rgba(0, 0, 0, 0.6);
  }
}

/* Form */
.links {
  list-style: none;
}
.links a {
  text-decoration: none;
  color: #fff;
  -webkit-transition: all .4s ease-in-out;
  transition: all .4s ease-in-out;
}
.links a:hover {
  text-decoration: underline;
  color: yellow;
}

@media (min-width: 0px) and (max-width: 767px) {
  form label {
    display: block;
  }
}
form label {
  color: #fff;
  margin-top: 1em !important;
  margin-bottom: 1em !important;
}
form input {
  display: block;
  border: 1px solid #fff;
  border-radius: 5px;
  width: 100%;
  padding: 0.5em;
  margin: 0.75em 0;
  font-size: 0.75em;
  outline: none;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
}
form input:focus {
  border: 1px solid yellow;
  -webkit-box-shadow: 0 0 5px yellow;
          box-shadow: 0 0 5px yellow;
}
form button[type="submit"] {
  display: block;
  border: 3px solid #fff;
  background-color: #000;
  color: #fff;
  padding: 0.75em;
  -webkit-transition: all .4s ease-in-out;
  transition: all .4s ease-in-out;
}
form button[type="submit"]:hover {
  border: 3px solid yellow;
  color: yellow;
}

/* Footer */
footer {
  width: 100%;
  margin-top: 1.5em;
  padding-top: 0.8em;
  padding-bottom: 0.8em;
  background-color: #65737e;
  color: #000;
  grid-area: footer;
}

footer ul {
  margin-top: 1.2em;
  list-style-type: none;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}
@media (min-width: 0px) and (max-width: 460px) {
  footer ul {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}

@media (min-width: 0px) and (max-width: 460px) {
  footer ul li {
    margin-top: 1em;
    margin-bottom: 1em;
  }
}

footer ul li a {
  color: #fff;
  text-decoration: none;
  text-transform: uppercase;
  padding: 10px;
}
@media (min-width: 0px) and (max-width: 460px) {
  footer ul li a {
    margin-top: 1em;
    margin-bottom: 1em;
  }
}

#copyright {
  text-align: center;
  margin-top: 1.5em;
  margin-bottom: 1.5em;
}

/* Animations */
.animated {
  -webkit-animation-duration: 1s;
          animation-duration: 1s;
  -webkit-animation-fill-mode: both;
          animation-fill-mode: both;
}

@-webkit-keyframes fadeInLeft {
  from {
    opacity: 0;
    -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
            transform: none;
  }
}

@keyframes fadeInLeft {
  from {
    opacity: 0;
    -webkit-transform: translate3d(-100%, 0, 0);
            transform: translate3d(-100%, 0, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
            transform: none;
  }
}
.fadeInLeft {
  -webkit-animation-name: fadeInLeft;
          animation-name: fadeInLeft;
}

@-webkit-keyframes fadeInRight {
  from {
    opacity: 0;
    -webkit-transform: translate3d(100%, 0, 0);
            transform: translate3d(100%, 0, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
            transform: none;
  }
}

@keyframes fadeInRight {
  from {
    opacity: 0;
    -webkit-transform: translate3d(100%, 0, 0);
            transform: translate3d(100%, 0, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
            transform: none;
  }
}
.fadeInRight {
  -webkit-animation-name: fadeInRight;
          animation-name: fadeInRight;
}

@-webkit-keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
            transform: none;
  }
}

@keyframes fadeInUp {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: none;
            transform: none;
  }
}
.fadeInUp {
  -webkit-animation-name: fadeInUp;
          animation-name: fadeInUp;
}

@-webkit-keyframes slideInDown {
  from {
    -webkit-transform: translate3d(0, -100%, 0);
            transform: translate3d(0, -100%, 0);
    visibility: visible;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }
}

@keyframes slideInDown {
  from {
    -webkit-transform: translate3d(0, -100%, 0);
            transform: translate3d(0, -100%, 0);
    visibility: visible;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }
}
.slideInDown {
  -webkit-animation-name: slideInDown;
          animation-name: slideInDown;
}

@-webkit-keyframes slideInUp {
  from {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
    visibility: visible;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }
}

@keyframes slideInUp {
  from {
    -webkit-transform: translate3d(0, 100%, 0);
            transform: translate3d(0, 100%, 0);
    visibility: visible;
  }
  to {
    -webkit-transform: translate3d(0, 0, 0);
            transform: translate3d(0, 0, 0);
  }
}
.slideInUp {
  -webkit-animation-name: slideInUp;
          animation-name: slideInUp;
}

/*# sourceMappingURL=css2.css.map */